RubyGems Navigation menu

highline 1.7.10

A high-level IO library that provides validation, type conversion, and more for command-line interfaces. HighLine also includes a complete menu system that can crank out anything from simple list selection to complete shells with just minutes of work.

Gemfile:
= Copy to clipboard Copied!

install:
=

Versions:

  1. 3.0.1 - January 20, 2024 (213 KB)
  2. 3.0.0 - January 05, 2024 (213 KB)
  3. 3.0.0.pre.1 - April 27, 2023 (213 KB)
  4. 2.1.0 - December 31, 2022 (212 KB)
  5. 2.0.3 - October 11, 2019 (212 KB)
  6. 1.7.10 - November 24, 2017 (220 KB)
Show all versions (70 total)

Development Dependencies (1):

Owners:

Authors:

  • James Edward Gray II

SHA 256 checksum:

1e147d5d20f1ad5b0e23357070d1e6d0904ae9f71c3c49e0234cf682ae3c2b06

Total downloads 220,286,322

For this version 51,265,189

License:

Ruby

Required Ruby Version: >= 1.9.3

Links: